<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - 2008 - Jean-Baptiste Silvy
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="rotate_axes">
  <info>
    <pubdate>$LastChangedDate: 2008-04-09 10:14:07 +0200 (mer., 09 avr. 2008) $</pubdate>
  </info>
  <refnamediv>
    <refname>rotate_axes</refname>
    <refpurpose>Interactive rotation of an Axes handle.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>rotate_axes()
rotate_axes(h)
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>h</term>
        <listitem>
          <para>Figure or Axes handle. Specify on which Axes the rotation will apply.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      <literal>rotate_axes</literal> funtion is used to perform an interactive rotation of an Axes object.
      When the function is called, the user is requested to click twice on the graphic window. The first click
      initializes the rotation and the second ends it.
      
    </para>
    <para>
      If an Axes handle is specified as input argument, the rotation will apply on it.
      If a figure handle is specified, the first click determines the Axes objet to rotate.
      If the function is called with no argument, the rotation apply on the current figure.
    </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
clf();
// create two axes in the figure
subplot(2, 1, 1);
plot2d;
subplot(2, 1, 2);
plot3d;

// rotate only the second axes
axes2 = gca();
rotate_axes(axes2);

// rotate the selected one
rotate_axes();
// or
rotate_axes(gcf());
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="zoom_rect">zoom_rect</link>
      </member>
      <member>
        <link linkend="axes_properties">axes_properties</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>Jean-Baptiste Silvy INRIA </para>
  </refsection>
</refentry>

